{ description = "A collection of wallpapers";
  inputs = {
    nixpkgs.url = github:nixos/nixpkgs/nixos-unstable;
    flake-utils.url = github:numtide/flake-utils;
  };
  outputs = { self, nixpkgs, flake-utils}:
  flake-utils.lib.eachDefaultSystem (system:
  let pkgs = import nixpkgs { inherit system; };
  in {
    packages = rec {
      default = pkgs.stdenv.mkDerivation rec {
        pname = "wallpapers";
        version = "0.0";
        src = ./src;
        installPhase = ''
        mkdir -p $out
        cp -r share $out/
        find $out/share/wallpapers/erotic     -type f > $out/share/wallpapers-erotic
        find $out/share/wallpapers/nsfw       -type f > $out/share/wallpapers-nsfw
        find $out/share/wallpapers/akatsuki   -type f > $out/share/wallpapers-akatsuki
        find $out/share/wallpapers/sfw        -type f > $out/share/wallpapers-list
        '';
      };
    };

  });
}
